/*
 * Copyright © 2016-2018 European Support Limited
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.openecomp.sdcrests.validation.rest.mapping;

import static org.junit.Assert.assertEquals;

import org.junit.Test;
import org.openecomp.sdc.heat.datatypes.structure.ValidationStructureList;
import org.openecomp.sdc.validation.types.ValidationFileResponse;
import org.openecomp.sdcrests.validation.types.ValidationFileResponseDto;

/**
 * This class was generated.
 */
public class MapValidationFileResponseToValidationFileResponseDtoTest {

    @Test()
    public void testConversion() {

        final ValidationFileResponse source = new ValidationFileResponse();

        final ValidationStructureList validationData = new ValidationStructureList();
        source.setValidationData(validationData);

        final ValidationFileResponseDto target = new ValidationFileResponseDto();

        final MapValidationFileResponseToValidationFileResponseDto mapper = new MapValidationFileResponseToValidationFileResponseDto();
        mapper.doMapping(source, target);

        assertEquals(validationData, target.getValidationData());
    }
}
